javax.xml.registry

## Interface QueryManager

- All Known Subinterfaces:
    BusinessQueryManager, DeclarativeQueryManager

      public interface QueryManager

  This is the common base interface for all QueryManagers in the API.
  Author:
    Farrukh S. Najmi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegistryObject` | `getRegistryObject(String id)` Gets the RegistryObject specified by the Id.
    `RegistryObject` | `getRegistryObject(String id, String objectType)` Gets the RegistryObject specified by the Id and type of object.
    `BulkResponse` | `getRegistryObjects()` Gets the RegistryObjects owned by the caller.
    `BulkResponse` | `getRegistryObjects(Collection objectKeys)` Gets the specified RegistryObjects.
    `BulkResponse` | `getRegistryObjects(Collection objectKeys, String objectTypes)` Gets the specified RegistryObjects.
    `BulkResponse` | `getRegistryObjects(String objectType)` Gets the RegistryObjects owned by the caller, that are of the specified type.
    `RegistryService` | `getRegistryService()` Returns the parent RegistryService that created this object.

- - ### Method Detail

    - #### getRegistryObject

          RegistryObject getRegistryObject(String id,
                                         String objectType)
                                           throws JAXRException

      Gets the RegistryObject specified by the Id and type of object.

      Capability Level: 0
      Parameters:
        `id` - is the id of the Key for a RegistryObject.
        `objectType` - is a constant definition from LifeCycleManager that specifies the type of object desired.
      Returns:
        the RegistryObject, returned as its concrete type (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRegistryObject

          RegistryObject getRegistryObject(String id)
                                           throws JAXRException

      Gets the RegistryObject specified by the Id.

      Capability Level: 1
      Parameters:
        `id` - the id for the desired object
      Returns:
        the RegistryObject, returned as its concrete type (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRegistryObjects

          BulkResponse getRegistryObjects(Collection objectKeys)
                                          throws JAXRException

      Gets the specified RegistryObjects. The objects are returned as their concrete type (e.g. Organization, User etc.).

      Capability Level: 1
      Parameters:
        `objectKeys` - a Collection of Key objects for the desired objects
      Returns:
        BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRegistryObjects

          BulkResponse getRegistryObjects(Collection objectKeys,
                                        String objectTypes)
                                          throws JAXRException

      Gets the specified RegistryObjects. The objects are returned as their concrete type (e.g. Organization, User etc.).

      Capability Level: 0
      Parameters:
        `objectKeys` - a Collection of Key objects for the desired objects
        `objectTypes` - a Collection of String objects that allow filtering desired objects by their type
      Returns:
        BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRegistryObjects

          BulkResponse getRegistryObjects()
                                          throws JAXRException

      Gets the RegistryObjects owned by the caller. The objects are returned as their concrete type (e.g. Organization, User etc.).

      Capability Level: 0
      Returns:
        BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRegistryObjects

          BulkResponse getRegistryObjects(String objectType)
                                          throws JAXRException

      Gets the RegistryObjects owned by the caller, that are of the specified type. The objects are returned as their concrete type (e.g. Organization, User etc.).

      Capability Level: 0
      Parameters:
        `objectType` - Is a constant that defines the type of object sought. See LifeCycleManager for constants for object types.
      Returns:
        BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `LifeCycleManager.ORGANIZATION`

    - #### getRegistryService

          RegistryService getRegistryService()
                                             throws JAXRException

      Returns the parent RegistryService that created this object.

      Capability Level: 0
      Returns:
        the RegistryService created this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.